Package io.strimzi.systemtest.utils.kubeUtils.objects

## Class SecretUtils

- java.lang.Object
- - io.strimzi.systemtest.utils.kubeUtils.objects.SecretUtils

-     public class SecretUtils
      extends Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `createCustomSecret​(String name, String clusterName, String namespace, CertAndKeyFiles certAndKeyFiles)` |
    `static void` | `createSecret​(String secretName, String dataKey, String dataValue)` |
    `static void` | `createSecretFromFile​(String pathToOrigin, String key, String name, String namespace)` |
    `static void` | `createSecretFromFile​(String pathToOrigin, String key, String name, String namespace, Map<String,​String> labels)` |
    `static void` | `createSecretFromFile​(Map<String,​String> certFilesPath, String name, String namespace)` |
    `static void` | `createSecretFromFile​(Map<String,​String> certFilesPath, String name, String namespace, Map<String,​String> labels)` |
    `static void` | `deleteSecretWithWait​(String secretName, String namespace)` |
    `static X509Certificate` | `getCertificateFromSecret​(io.fabric8.kubernetes.api.model.Secret secret, String dataKey)` |
    `static void` | `waitForCertToChange​(String originalCert, String secretName)` |
    `static void` | `waitForClusterSecretsDeletion​(String clusterName)` |
    `static void` | `waitForSecretDeletion​(String secretName)` |
    `static void` | `waitForSecretDeletion​(String secretName, Runnable onTimeout)` |
    `static void` | `waitForSecretReady​(String secretName)` |
    `static void` | `waitForSecretReady​(String secretName, Runnable onTimeout)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### waitForSecretReady

          public static void waitForSecretReady​(String secretName)

    - #### waitForSecretReady

          public static void waitForSecretReady​(String secretName,
                                                Runnable onTimeout)

    - #### waitForSecretDeletion

          public static void waitForSecretDeletion​(String secretName)

    - #### waitForSecretDeletion

          public static void waitForSecretDeletion​(String secretName,
                                                   Runnable onTimeout)

    - #### createSecret

          public static void createSecret​(String secretName,
                                          String dataKey,
                                          String dataValue)

    - #### createSecretFromFile

          public static void createSecretFromFile​(String pathToOrigin,
                                                  String key,
                                                  String name,
                                                  String namespace)

    - #### createSecretFromFile

          public static void createSecretFromFile​(String pathToOrigin,
                                                  String key,
                                                  String name,
                                                  String namespace,
                                                  Map<String,​String> labels)

    - #### createSecretFromFile

          public static void createSecretFromFile​(Map<String,​String> certFilesPath,
                                                  String name,
                                                  String namespace)

    - #### createSecretFromFile

          public static void createSecretFromFile​(Map<String,​String> certFilesPath,
                                                  String name,
                                                  String namespace,
                                                  Map<String,​String> labels)

    - #### waitForClusterSecretsDeletion

          public static void waitForClusterSecretsDeletion​(String clusterName)

    - #### createCustomSecret

          public static void createCustomSecret​(String name,
                                                String clusterName,
                                                String namespace,
                                                CertAndKeyFiles certAndKeyFiles)

    - #### waitForCertToChange

          public static void waitForCertToChange​(String originalCert,
                                                 String secretName)

    - #### deleteSecretWithWait

          public static void deleteSecretWithWait​(String secretName,
                                                  String namespace)

    - #### getCertificateFromSecret

          public static X509Certificate getCertificateFromSecret​(io.fabric8.kubernetes.api.model.Secret secret,
                                                                 String dataKey)